/******************************************************************************
Comm_Flow_Exception.java

CVS Information:

  $Source: /homes/dsl/Master/cif/CIF-Comm-Java-Current/libraries/cif/comm/Comm_Flow_Exception.java,v $
  $Date: 1998/10/12 15:39:39 $
  $Revision: 1.1 $
  $State: Exp $
  $Author: toonen $
******************************************************************************/

package cif.comm;

import cif.toolkit.*;

/**
 * This exception is thrown when the connection does not support the network
 * flow required to perform the requested operation.  For example, this
 * exception would be throw if the application attempt to perform a send on a
 * connection object which only has an incoming network flow.
 */
public
class Comm_Flow_Exception
extends
    Exception
{
    public
    Comm_Flow_Exception()
    {
    }
    
    public
    Comm_Flow_Exception(
	String					description)
    {
	super(description);
    }
}

