/******************************************************************************
I_Ref_Count.java

CVS Information:

  $Source: /homes/dsl/Master/cif/CIF-Comm-Java-Current/libraries/cif/comm/I_Ref_Count.java,v $
  $Date: 1998/10/10 15:31:37 $
  $Revision: 1.1 $
  $State: Exp $
  $Author: toonen $
******************************************************************************/

package cif.comm;

class I_Ref_Count
{
    I_Ref_Count()
    {
	l_ref_cnt = 0;
    }

    public synchronized
    void
    inc_Count()
    {
	l_ref_cnt++;
    }
    
    public synchronized
    void
    dec_Count()
    {
	l_ref_cnt--;

	if (l_ref_cnt == 0)
	{
	    notifyAll();
	}
    }

    public synchronized
    void
    wait_Until_Zero()
    {
	while (l_ref_cnt > 0)
	{
	    try
	    {
		wait();
	    }
	    catch (InterruptedException e)
	    {
	    }
	}
    }
    
    private int					l_ref_cnt;
}
