AC_REVISION($Revision: 1.1 $)

dnl
dnl Include the rest of the local autoconf files
dnl
LAC_INCLUDE_MACRO_FILE(LAC_DIR/lac_args.m4)
LAC_INCLUDE_MACRO_FILE(LAC_DIR/lac_java.m4)
LAC_INCLUDE_MACRO_FILE(LAC_DIR/lac_msg.m4)
LAC_INCLUDE_MACRO_FILE(LAC_DIR/lac_utils.m4)

dnl
dnl Define makefile headers and footers.  These are to be used by the
dnl AC_OUTPUT call at the end of each configure.in.
dnl
define(LAC_MAKE_HEADER, LAC_DIR/Make_CIF:LAC_DIR/Make_Header)
define(LAC_MAKE_FOOTER, LAC_DIR/Make_Footer)

dnl
dnl LAC_INIT()
dnl
AC_DEFUN(LAC_INIT,
[
    AC_PREREQ(2.12)
    AC_CONFIG_AUX_DIR(LAC_DIR)

    LAC_ARGS
    AC_CANONICAL_SYSTEM

    LAC_UTILS_INIT
    LAC_UTILS_PATHS

    LAC_JAVA
])
