/******************************************************************************
I_Listener_TCP.java

CVS Information:

  $Source: /homes/dsl/Master/cif/CIF-Comm-Java-Current/libraries/cif/comm/I_Listener_TCP.java,v $
  $Date: 1998/10/12 22:13:00 $
  $Revision: 1.1 $
  $State: Exp $
  $Author: toonen $
******************************************************************************/

package cif.comm;

import cif.toolkit.*;
import nexus.*;


class I_Listener_TCP
extends
    I_Listener
{
    protected 
    Connection
    open_Connection(
	GetBuffer				nx_buf,
	Connection_Properties			properties,
	Timeout					timeout)
    throws
	Timeout_Expired_Exception,
	Comm_Inactive_Exception,
	Comm_Failure_Exception,
	InterruptedException
    {
	I_Connection_TCP			conn;

	try
	{
	    conn = new I_Connection_TCP();
	    conn.activate(nx_buf, properties, timeout);
	}
	catch (Object_Active_Exception e)
	{
	    throw new Internal_Error(
		"cif.comm.I_Listener_TCP.open_Connection(): " +
		"caught an unexpected Object_Active_Exception");
	}
	
	return conn;
    }

    
    protected
    String
    get_URL_Scheme()
    {
	return new String(Comm.TCP_URL_SCHEME);
    }
}

